<table class="table">
  <thead>
    <tr>
      <th>Mã sp</th>
      <th>Tên sp</th>
      <th>Giá</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let sp of danhSachSanPham">
      <td scope="row">{{ sp.ma }}</td>
      <td>{{ sp.tenSP }}</td>
      <td>{{ sp.gia }}</td>
    </tr>
  </tbody>
</table>

<div class="container">
  <h3 class="text-center">Danh sách div card sp</h3>
  <div class="row">
    <div class="col-4" *ngFor="let sp of danhSachSanPham">
      <app-product-item [sp]="sp" (eventXemChiTiet)="xemChiTiet($event)"></app-product-item>
    </div>
  </div>
</div>

<!-- Modal -->
<div
  class="modal fade"
  id="modelId"
  tabindex="-1"
  role="dialog"
  aria-labelledby="modelTitleId"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">
          {{ thongTinSanPham.tenSP }}
        </h5>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">{{ thongTinSanPham.gia }} USD</div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">
          Close
        </button>
        <button type="button" class="btn btn-primary">Save</button>
      </div>
    </div>
  </div>
</div>
